public class noktaY implements sekilY
{
    protected double x, y;

    public noktaY(double a, double b)
    {   x=a; y=b;}

    public void noktagir(double a, double b)
    { x=a;y=b;}

    public double Xoku()
    { return x;}

    public double Yoku()
    { return y; }

    public String toString()
    { return "["+x+","+y+"]";}
    public double alan() {return 0.0;}
    public double hacim()  {return 0.0;}
    public String isim() {return "nokta";}
}
